## python-mcstasscript 0.0.46+git20250402111921.bfa5a26

=== requirements.txt ===
numpy
matplotlib
PyYAML
ipywidgets
libpyvinyl
ipympl
h5py

=== docs/requirements.txt ===
nbsphinx
sphinx-book-theme

## python-mcstasscript 0.0.46%2Bgit20250402111921.bfa5a26

=== debian/control ===
Source: python-mcstasscript
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mcstas-comps <!nocheck>,
 mcxtrace-comps <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-ipython <!nocheck>,
 python3-ipywidgets <!nocheck>,
 python3-libpyvinyl <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-yaml <!nocheck>,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/PaNOSC-ViNYL/McStasScript
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mcstasscript.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mcstasscript

Package: python3-mcstasscript
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for creating and running McStas/McXtrace instruments
 This is a prototype for an API that allow interaction with McStas
 through an interface like Jupyter Notebooks created under WP5 of
 PaNOSC.

=== debian/watch ===
#version=4
#opts="mode=git, gitmode=full, pgpmode=none" \
#https://github.com/PaNOSC-ViNYL/McStasScript \
#refs/tags/v?@ANY_VERSION@

# To switch to using Git snapshots:
version=4
opts="mode=git, date=%Y%m%d%H%M%S, pgpmode=none, pretty=0.0.46+git%cd.%h" \
https://github.com/PaNOSC-ViNYL/McStasScript HEAD

## python-mcstasscript 0.0.46+git20250402111921.bfa5a26

=== debian/changelog ===
python-mcstasscript (0.0.46+git20250402111921.bfa5a26-2) unstable; urgency=medium

  * Upload to unstable.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Aug 2025 15:04:20 +0200

python-mcstasscript (0.0.46+git20250402111921.bfa5a26-1) experimental; urgency=medium

  * New upstream snapshot.
  * Improve testsuite coverage (still not complete though).

 -- Roland Mas <lolando@debian.org>  Wed, 23 Apr 2025 14:41:35 +0200

python-mcstasscript (0.0.46-1) experimental; urgency=low

  * Initial packaging (Closes: #1103884).
  * Disable testsuite for now (experimental).

 -- Roland Mas <lolando@debian.org>  Tue, 22 Apr 2025 18:30:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k "not test_simple_instrument and not test_slit and not test_complex_instrument"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm -f debian/python3-mcstasscript/usr/lib/python3*/dist-packages/*.instr
